# Uses of Interface
org.opensaml.security.x509.PKIXValidationInformation

Packages that use PKIXValidationInformation
Package
Description
org.opensaml.security.x509
X.509-based credential and trust classes.
org.opensaml.security.x509.impl
`TrustEngine` implementation classes related to PKIX.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.

## Uses of PKIXValidationInformation in org.opensaml.security.x509

Methods in org.opensaml.security.x509 with parameters of type PKIXValidationInformation
Modifier and Type
Method
Description
`boolean`
PKIXTrustEvaluator.`validate(PKIXValidationInformation validationInfo, X509Credential untrustedCredential)`
Validate the specified credential against the specified set of trusted validation information.

## Uses of PKIXValidationInformation in org.opensaml.security.x509.impl

Classes in org.opensaml.security.x509.impl that implement PKIXValidationInformation
Modifier and Type
Class
Description
`class`
`BasicPKIXValidationInformation`
Basic implementation of `PKIXValidationInformation`.
Fields in org.opensaml.security.x509.impl with type parameters of type PKIXValidationInformation
Modifier and Type
Field
Description
`private final List<PKIXValidationInformation>`
StaticPKIXValidationInformationResolver.`pkixInfo`
The PKIX validation information to return.
Methods in org.opensaml.security.x509.impl that return PKIXValidationInformation
Modifier and Type
Method
Description
`PKIXValidationInformation`
StaticPKIXValidationInformationResolver.`resolveSingle(CriteriaSet criteria)`
Methods in org.opensaml.security.x509.impl that return types with arguments of type PKIXValidationInformation
Modifier and Type
Method
Description
`Iterable<PKIXValidationInformation>`
StaticPKIXValidationInformationResolver.`resolve(CriteriaSet criteria)`
Methods in org.opensaml.security.x509.impl with parameters of type PKIXValidationInformation
Modifier and Type
Method
Description
`protected CertStore`
CertPathPKIXTrustEvaluator.`buildCertStore(PKIXValidationInformation validationInfo, X509Credential untrustedCredential)`
Creates the certificate store that will be used during validation.
`protected Integer`
CertPathPKIXTrustEvaluator.`getEffectiveVerificationDepth(PKIXValidationInformation validationInfo)`
Get the effective maximum path depth to use when constructing PKIX cert path builder parameters.
`protected PKIXBuilderParameters`
CertPathPKIXTrustEvaluator.`getPKIXBuilderParameters(PKIXValidationInformation validationInfo, X509Credential untrustedCredential)`
Creates the set of PKIX builder parameters to use when building the cert path builder.
`protected Set<TrustAnchor>`
CertPathPKIXTrustEvaluator.`getTrustAnchors(PKIXValidationInformation validationInfo)`
Creates the collection of trust anchors to use during validation.
`boolean`
CertPathPKIXTrustEvaluator.`validate(PKIXValidationInformation validationInfo, X509Credential untrustedCredential)`
Validate the specified credential against the specified set of trusted validation information.
Method parameters in org.opensaml.security.x509.impl with type arguments of type PKIXValidationInformation
Modifier and Type
Method
Description
`protected boolean`
PKIXX509CredentialTrustEngine.`validate(X509Credential untrustedX509Credential, Set<String> trustedNames, Iterable<PKIXValidationInformation> validationInfoSet)`
Perform PKIX validation on the untrusted credential, using PKIX validation information based on the supplied set of trusted credentials.
Constructor parameters in org.opensaml.security.x509.impl with type arguments of type PKIXValidationInformation
Modifier
Constructor
Description
``
`StaticPKIXValidationInformationResolver(List<PKIXValidationInformation> info, Set<String> names)`
Constructor.
``
`StaticPKIXValidationInformationResolver(List<PKIXValidationInformation> info, Set<String> names, boolean supportDynamicNames)`
Constructor.

## Uses of PKIXValidationInformation in org.opensaml.xmlsec.signature.support.impl

Methods in org.opensaml.xmlsec.signature.support.impl that return types with arguments of type PKIXValidationInformation
Modifier and Type
Method
Description
`protected Pair<Set<String>,Iterable<PKIXValidationInformation>>`
PKIXSignatureTrustEngine.`resolveValidationInfo(CriteriaSet trustBasisCriteria)`
Resolve and return a set of trusted validation information.
Method parameters in org.opensaml.xmlsec.signature.support.impl with type arguments of type PKIXValidationInformation
Modifier and Type
Method
Description
`protected boolean`
PKIXSignatureTrustEngine.`evaluateTrust(Credential untrustedCredential, Pair<Set<String>,Iterable<PKIXValidationInformation>> validationPair)`
Evaluate the untrusted KeyInfo-derived credential with respect to the specified trusted information.